Skip to Content

Delete a newsletter

Withdraws the public archive and removes the issue repository. The consent topic and its subscriptions remain.

DELETE
/v1/newsletters/{id}

Withdraws the public archive and removes the issue repository. The consent topic and its subscriptions remain.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^nl_[0-9a-hjkmnp-tv-z]{16,24}$

Header Parameters

idempotency-key?string
Length1 <= length <= 255

Response Body

Success

application/json
  1. response
success*boolean
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.newsletters.remove({
  "id": "example"
});
Example Response
{
  "success": true
}

Related documentation